Package ru.bitel.bgbilling.modules.cerbercrypt.server.event

# Class UserCardUpdateEvent

java.lang.Object
ru.bitel.bgbilling.kernel.event.common.Event
ru.bitel.bgbilling.kernel.event.common.QueueEvent
ru.bitel.bgbilling.modules.cerbercrypt.server.event.UserCardUpdateEvent

All Implemented Interfaces:
  `java.io.Serializable`

    public class UserCardUpdateEvent
    extends ru.bitel.bgbilling.kernel.event.common.QueueEvent

Асинхронное событие - смена карты клиента (из клиента биллинга, очевидно).
Событие генерируется при апдейте user_card на договоре, т.е. при манипуляции с картой на договоре. Например при:
1) изменении параметров существующей карты;
2) создании карты;
3) удалении карты.
В скриптах, повешенных на это событие возможно, например, посылать команды авторизации и отмены авторизации. Унаследован от `QueueEvent`

See Also:
  Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

- ## Constructor Summary

  Constructors
  Modifier | Constructor | Description
  --- | --- | ---
  `protected` | `UserCardUpdateEvent()` |
  `` | `UserCardUpdateEvent​(int userId, int moduleId, int contractId, UserCard usercardBefore, UserCard usercardAfter)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `int` | `getTypeId()` |
  `UserCard` | `getUsercardAfter()` | Объект юзеркарта после изменения.
  `UserCard` | `getUsercardBefore()` | Объект юзеркарта до изменения.

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `getContractId, getDestination, getGenerateTime, getMessageID, getModuleId, getPluginId, getSuperContractId, getTime, getTimestamp, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, setMessageID, toString, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### UserCardUpdateEvent

    protected UserCardUpdateEvent()

  - ### UserCardUpdateEvent

    public UserCardUpdateEvent​(int userId, int moduleId, int contractId, UserCard usercardBefore, UserCard usercardAfter)

- ## Method Details

  - ### getTypeId

    public int getTypeId()
    Overrides:
      `getTypeId` in class `ru.bitel.bgbilling.kernel.event.common.Event`

  - ### getUsercardBefore

    public UserCard getUsercardBefore()
    Объект юзеркарта до изменения. Если null, то карта только что добавлена была на договор.
    Returns:
      user_card

  - ### getUsercardAfter

    public UserCard getUsercardAfter()
    Объект юзеркарта после изменения. Если null, то карта только что была удалена с договора.
    Returns:
      user_card